Skip to main content
POST
/
v1
/
organizations
Create organization
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "plan": "pilot",
  "modules": [
    "Assets"
  ],
  "user_quota": 1,
  "workspace_quota": 1,
  "analysis_quota": 1,
  "asset_evaluation_quota": 1,
  "search_credits": 1,
  "logo": "<string>",
  "salesforce_code": "<string>",
  "contract_end_date": "2023-12-25",
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "plan": "pilot",
  "user_quota": 1073741823,
  "workspace_quota": 1073741823,
  "analysis_quota": 1073741823,
  "workspace_count": 123,
  "modules": [
    "<string>"
  ],
  "asset_evaluation_quota": 1073741823,
  "search_credits": 1073741823,
  "logo": "<string>",
  "salesforce_code": "<string>",
  "contract_end_date": "2023-12-25",
  "is_active": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

If set to true, include the logo field in the response. Defaults to false.

Body

name
string
required
plan
enum<string>
required
  • pilot - pilot
  • starter - starter
  • suite - suite
  • enterprise - enterprise
Available options:
pilot,
starter,
suite,
enterprise
modules
enum<string>[]
required
Minimum array length: 1
  • Assets - Assets
  • Models - Models
  • Search - Search
  • Sources - Sources
  • Shopping - Shopping
  • Website - Website
  • Dashboard - Dashboard
Available options:
Assets,
Models,
Search,
Sources,
Shopping,
Website,
Dashboard
user_quota
integer
Required range: x >= 0
workspace_quota
integer
Required range: x >= 0
analysis_quota
integer
Required range: x >= 0
asset_evaluation_quota
integer
Required range: x >= 0
search_credits
integer
Required range: x >= 0
logo
string | null
salesforce_code
string | null
contract_end_date
string<date> | null
is_active
boolean

Response

201 - application/json
id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
plan
enum<string>
required
  • pilot - pilot
  • starter - starter
  • suite - suite
  • enterprise - enterprise
Available options:
pilot,
starter,
suite,
enterprise
user_quota
integer
required
Required range: 0 <= x <= 2147483647
workspace_quota
integer
required
Required range: 0 <= x <= 2147483647
analysis_quota
integer
required
Required range: 0 <= x <= 2147483647
workspace_count
integer
required
modules
string[]
required
read-only
asset_evaluation_quota
integer
Required range: 0 <= x <= 2147483647
search_credits
integer
Required range: 0 <= x <= 2147483647
salesforce_code
string | null

SalesForce organization code

Maximum string length: 50
contract_end_date
string<date> | null

Contract end date

is_active
boolean